.product-section .product-content {
  position: relative;
  width: 100%;
}

.product-section .product-content.grid {
  display: grid;
  grid-template-rows: auto;
  gap: var(--grid-vertical-gap) var(--grid-horizontal-gap);
}

.product-section  .swiper-slide {
  height: auto;
}

.product-section .swiper-slide .product-card,
.product-section .swiper-slide .item-card {
  height: 100%;
}

.product-section .product-content.horizontal .product-card .product-image,
.product-section .product-content.horizontal .item-card .item-image {
  width: 40%;
}

.product-section .swiper-button-prev.hover,
.product-section .swiper-button-next.hover {
  opacity: 0;
}

.product-section .product-content:hover .swiper-button-prev,
.product-section .product-content:hover .swiper-button-next {
  opacity: 1;
}

.product-section .product-content:hover .swiper-button-prev.swiper-button-disabled,
.product-section .product-content:hover .swiper-button-next.swiper-button-disabled {
  opacity: 0.35;
}

.product-section .swiper-button-prev,
[dir="rtl"] .product-section .swiper-button-next {
  left: 0;
  right: unset;
  transform: translateX(-50%);
}
.product-section .swiper-button-next,
[dir="rtl"] .product-section .swiper-button-prev {
  right: 0;
  left: unset;
  transform: translateX(50%);
}

.product-section .swiper-pagination {
  position: static;
}

@media (max-width: 991px) {
  .product-section .product-content.grid.horizontal {
    grid-template-columns: repeat(2, 1fr) !important;
  }
  
  .product-section .product-content.horizontal .product-card .product-image,
  .product-section .product-content.horizontal .item-card .item-image {
    width: 30%;
  }

  .product-section .swiper-button-prev,
  .product-section .swiper-button-next {
    display: none;
  }

  .product-section .swiper-pagination {
    display: block;
  }
}

@media (max-width: 767px) {
  .product-section .product-content.grid {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}
